import { ElementRef, EventEmitter, OnInit, TemplateRef } from "@angular/core";
export declare class StiSelectButtonComponent implements OnInit {
    options: any[] | undefined;
    value: any | undefined;
    optionLabel: string | undefined;
    optionValue: string | undefined;
    multiple: boolean | undefined;
    disabled: boolean | undefined;
    onOptionClick: EventEmitter<any>;
    onChange: EventEmitter<any>;
    valueChange: EventEmitter<any>;
    itemTemplate: TemplateRef<ElementRef>;
    constructor();
    getOptionLabel(option: any): any;
    isSelected(option: any): boolean;
    getOptionValue(option: any): any;
    removeOption(option: any): void;
    selectOption(event: Event, option: any, index: number): void;
    ngOnInit(): void;
}
